Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request POST \ --url https://saas.pads365.com/rdx/NDS.Services.Viewer/api/v1/Viewer/Filtered \ --header 'Content-Type: application/json' \ --data ' { "SearchString": "<string>", "IncludedViewerTypes": [ "<string>" ], "ExcludedViewerTypes": [ "<string>" ], "Sorting": { "Descending": true }, "Paging": { "Start": 123, "Items": 123 }, "ChildOf": [ "<string>" ], "IsOrphaned": true, "KeepGroupsTogether": true, "Ids": [ "<string>" ], "IncludChildrenOfIds": true, "ExcludedIds": [ "<string>" ] } '
{ "Succeeded": true, "Message": "<string>", "Code": "<string>", "Viewers": [ { "Id": "<string>", "Name": "<string>", "Description": "<string>", "Type": "<string>", "Online": true, "Parents": [ { "Id": "<string>", "Name": "<string>" } ], "HardwareId": "<string>", "MacAddress": "<string>", "LastConnected": "2023-11-07T05:31:56Z", "Password": "<string>", "ConnectedSince": "2023-11-07T05:31:56Z", "ViewerSessionId": "<string>", "ServerName": "<string>", "IpAddress": "<string>", "License": { "ID": "<string>", "Name": "<string>", "ApplicationType": "<string>", "Total": 123, "Used": 123, "IsDemo": true, "ValidFrom": "2023-11-07T05:31:56Z", "ValidUntil": "2023-11-07T05:31:56Z", "Restricted": true, "Elements": [ "<string>" ] }, "Permissions": "<string>" } ], "TotalItems": 123 }
0
1
Show child attributes